Bug 1029745 - Need to warn user with asterisk on text area of "Billing Infomation" and improper warning info is shown
Need to warn user with asterisk on text area of "Billing Infomation" and impr...
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-11-13 00:37 EST by Tian Feng
Modified: 2015-05-14 21:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-23 22:29:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tian Feng 2013-11-13 00:37:14 EST
Description of problem:
Go to web console and try to upgrade account. When users are filling Billing Infomaion, all text field need info forcely to be filled. So it need asterisk as a warning just like 'Account' info.
Also when put nothing in last name and ZIP text field, it prompts 'Last Name' and 'ZIP/Postal Code' instead of 'This field is required.' 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to web console and get access to app/account/plans/silver/upgrade/edit
2. Check items about 'Billing Infomation'
3. Input nothing on text field about billing infomation and submit, then check warning

Actual results:
Text fields on Billing Infomation exist without asterisk. Also prompted warnings are not proper.

Expected results:
Text field on Billing Infomation should be warning using asterisk. Also prompted warning should be 'This field is required.'

Additional info:
Comment 1 Jordan Liggitt 2013-11-13 10:22:36 EST
Will merge in https://github.com/openshift/li/pull/2146
Comment 2 openshift-github-bot 2013-11-13 11:38:51 EST
Commit pushed to master at https://github.com/openshift/li

Fix bug 1029745: billing info form
Comment 4 Tian Feng 2013-11-13 21:24:46 EST
Test on devenv_4030. Text fields on 'Billing Information' are existing with asterisk. And when I put nothing in text field, it will prompt First name/Last name/Address1/City/Zip can't be blank, which is proper. So verify this bug, thanks!

Note You need to log in before you can comment on or make changes to this bug.